Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.io.parser
Class ParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jpicedt.graphic.io.parser.ParserException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ParserException.UnrecognizedFileFormat, REParserException

public class ParserException
extends Exception

Placeholder for the Exception class ; should serve as the base-class for any Exception related to parsing processes, and may be used as an Exception wrapper as well, e.g. for SAX generated Exception's.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ParserException.UnrecognizedFileFormat` May signal that the content being currently parsed does not correspond to any recognized/supported format

Constructor Summary
`ParserException(Exception ex)` Convenient constructor for wrapping an Exception into a ParserException
`ParserException(String message)`

Method Summary
`String` | `getMessage()`
`protected String` | `localize(String str)` Return a localized version of the given string, by relying on the currently installed jpicedt.Localizer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserException

    public ParserException(String message)

### ParserException

    public ParserException(Exception ex)

  Convenient constructor for wrapping an Exception into a ParserException

Method Detail

### localize

    protected String localize(String str)

  Return a localized version of the given string, by relying on the currently installed jpicedt.Localizer.

### getMessage

    public String getMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org